Bug 216285 - Review Request: kleansweep - Reclaim disk space by finding unneeded files
Review Request: kleansweep - Reclaim disk space by finding unneeded files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-18 14:17 EST by Chitlesh GOORAH
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 15:21:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-11-18 14:17:31 EST
Spec URL: http://chitlesh.googlepages.com/kleansweep.spec
SRPM URL: http://chitlesh.googlepages.com/kleansweep-0.2.9-1.src.rpm
Description: 
KleanSweep allows you to reclaim disk space by finding unneeded files. It
can search for files based on several criteria: you can seek for empty
files, backup files, broken symbolic links, dead menu entries, duplicated
files, orphaned files (files not found in the RPM database), and more.
Comment 1 Parag AN(पराग) 2006-11-19 01:39:28 EST
When i downloaded and tried to install SRPM i got 
error: unpacking of archive failed on file
/usr/src/redhat/SOURCES/kleansweep-0.2.9.tar.bz2;455ffbc7: cpio: read
Comment 2 Parag AN(पराग) 2006-11-19 03:10:02 EST
Ok, looks like it was some download problem.
Preliminary review first.
Preferred value for buildroot is not present in SPEC value.
Comment 3 Chitlesh GOORAH 2006-11-19 17:01:32 EST
what do you mean ?

%{buildroot} is a blocker ?
Comment 4 Rex Dieter 2006-11-19 17:54:10 EST
> %{buildroot} is a blocker ?

To some reviewer, yes.  Fortunately, fixing it is easy.
Comment 5 Chitlesh GOORAH 2006-11-19 18:08:47 EST
(In reply to comment #4)
> > %{buildroot} is a blocker ?
> 
> To some reviewer, yes.  Fortunately, fixing it is easy.

Ok!
Fixed to please Paragn:
Spec URL: http://chitlesh.googlepages.com/kleansweep.spec
SRPM URL: http://chitlesh.googlepages.com/kleansweep-0.2.9-1.src.rpm

However, I would like to document about this, any url ?
Comment 6 manuel wolfshant 2006-11-19 19:11:36 EST
The preferred value for %buildroot in FE is described at
http://fedoraproject.org/wiki/Packaging/Guidelines#head-f196e7b2477c2f5dd97ef64e8eacddfb517f1aa1

Please note that the last link you have provided was probably meant to be
http://chitlesh.googlepages.com/kleansweep-0.2.9-2.src.rpm because you did
correctly increase the release tag in the spec file and recreate the new src.rpm
Comment 7 Chitlesh GOORAH 2006-11-19 19:26:00 EST
My bad, I've misunderstood the whole concept. lol

Updated:
Spec URL: http://chitlesh.googlepages.com/kleansweep.spec
SRPM URL: http://chitlesh.googlepages.com/kleansweep-0.2.9-3.src.rpm
Comment 8 Parag AN(पराग) 2006-11-19 23:21:11 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPMS.
+ source files match upstream.
eb4530dc77fbe35ede8267e89275e5e9  kleansweep-0.2.9.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ COPYING included in %doc.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ .pc file present.
+ no -devel subpackage exists
+ Used gtk-update-icon-cache correctly
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed succesfully
+ Desktop file is handled correclty in SPEC file.
+ GUI app
APPROVED.

Note You need to log in before you can comment on or make changes to this bug.